## golang-github-traefik-yaegi 0.10.0

=== Makefile ===
# Static linting of source files. See .golangci.toml for options
check:
	golangci-lint run

# Generate stdlib/syscall/syscall_GOOS_GOARCH.go for all platforms
gen_all_syscall: internal/cmd/extract/extract
	@for v in $$(go tool dist list); do \
		echo syscall_$${v%/*}_$${v#*/}.go; \
		GOOS=$${v%/*} GOARCH=$${v#*/} go generate ./stdlib/syscall ./stdlib/unrestricted; \
	done

internal/cmd/extract/extract:
	rm -f internal/cmd/extract/extract
	go generate ./internal/cmd/extract

generate: gen_all_syscall
	go generate

install:
	GOFLAGS=-ldflags=-X=main.version=$$(git describe --tags) go install ./...

tests:
	go test -v ./...
	go test -race ./interp

# https://github.com/goreleaser/godownloader
install.sh: .goreleaser.yml
	godownloader --repo=traefik/yaegi -o install.sh .goreleaser.yml

.PHONY: check gen_all_syscall gen_tests generate_downloader internal/cmd/extract/extract install

=== debian/changelog ===
golang-github-traefik-yaegi (0.10.0-2) unstable; urgency=medium

  * d/patches: Backport upstream patch to fix build on 32bit arch.

 -- Aloïs Micard <creekorful@debian.org>  Mon, 11 Oct 2021 12:09:49 +0200

golang-github-traefik-yaegi (0.10.0-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: drop upstreamed patches.

 -- Aloïs Micard <creekorful@debian.org>  Thu, 07 Oct 2021 08:48:11 +0200

golang-github-traefik-yaegi (0.9.23-1) unstable; urgency=medium

  * d/control: mark g-g-traefik-yaegi-dev as Multi-Arch: foreign.
  * New upstream version.

 -- Aloïs Micard <creekorful@debian.org>  Mon, 13 Sep 2021 08:40:25 +0200

golang-github-traefik-yaegi (0.9.21-6) unstable; urgency=medium

  * d/patches: Import upstream patch to fix support for 32bits and
    big endian arch (Closes: #992983).

 -- Aloïs Micard <creekorful@debian.org>  Sat, 28 Aug 2021 12:14:49 +0200

golang-github-traefik-yaegi (0.9.21-5) unstable; urgency=medium

  * d/rules: Increase test timeout to 1h.

 -- Aloïs Micard <creekorful@debian.org>  Wed, 25 Aug 2021 21:45:11 +0200

golang-github-traefik-yaegi (0.9.21-4) unstable; urgency=medium

  * d/patches: Write patch to fix test on non 48-bit VMA.

 -- Aloïs Micard <creekorful@debian.org>  Wed, 25 Aug 2021 18:18:09 +0200

golang-github-traefik-yaegi (0.9.21-3) unstable; urgency=medium

  * Source only upload.
  * d/copyright: Add Containous SAS.
  * d/control: Bump S-V.

 -- Aloïs Micard <creekorful@debian.org>  Wed, 25 Aug 2021 08:40:59 +0200

golang-github-traefik-yaegi (0.9.21-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * d/copyright: Mention copyright for install.sh

 -- Aloïs Micard <creekorful@debian.org>  Sun, 01 Aug 2021 15:48:58 +0200

golang-github-traefik-yaegi (0.9.21-1) unstable; urgency=medium

  * Initial release (Closes: #991757)

 -- Aloïs Micard <creekorful@debian.org>  Sun, 01 Aug 2021 13:43:37 +0200

=== debian/control ===
Source: golang-github-traefik-yaegi
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13), dh-golang, golang-any
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-traefik-yaegi
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-traefik-yaegi.git
Homepage: https://github.com/traefik/yaegi
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/traefik/yaegi

Package: golang-github-traefik-yaegi-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Another Elegant Go Interpreter - dev package
 Yaegi is Another Elegant Go Interpreter. It powers executable,
 Go scripts and plugins, in embedded interpreters or interactive
 shells, on top of the Go runtime.

Package: yaegi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Another Elegant Go Interpreter
 Yaegi is Another Elegant Go Interpreter. It powers executable,
 Go scripts and plugins, in embedded interpreters or interactive
 shells, on top of the Go runtime.
 .
 This package contains the interpreter.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DH_GOLANG_EXCLUDES := example internal/cmd/extract internal/cmd/genop _test

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -ldflags="-extldflags -Wl,-z,now -s -w -X 'main.version=$(DEB_VERSION_UPSTREAM)'"

override_dh_auto_test:
	# The default timeout for tests is 10m, which is not enough for
	# slower or overloaded machines. Let's increase it to one hour.
	dh_auto_test -- -timeout 1h

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-traefik-yaegi-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/traefik/yaegi/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-traefik-yaegi 0.14.1

=== debian/changelog ===
golang-github-traefik-yaegi (0.14.1-1) unstable; urgency=medium

  * New upstream version 0.14.1 (Closes: #1008421)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Drop d/patches: Merged upstream
  * d/rules: Include _test/p3 in tests as well

 -- Nilesh Patra <nilesh@debian.org>  Sat, 06 Aug 2022 15:35:57 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-golang, golang-any
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-traefik-yaegi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-traefik-yaegi.git
 Homepage: https://github.com/traefik/yaegi

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DH_GOLANG_EXCLUDES := example internal/cmd/extract internal/cmd/genop _test
export BUILDDIR := _build/src/github.com/traefik/yaegi/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -ldflags="-extldflags -Wl,-z,now -s -w -X 'main.version=$(DEB_VERSION_UPSTREAM)'"

override_dh_auto_test:
	# Copy empty p3 dir for tests as well which is otherwise uncopied
	cp -a $(CURDIR)/_test/p3 $(BUILDDIR)_test/
	# The default timeout for tests is 10m, which is not enough for
	# slower or overloaded machines. Let's increase it to one hour.
	dh_auto_test -- -timeout 1h

## golang-github-traefik-yaegi 0.14.3

=== debian/changelog ===
golang-github-traefik-yaegi (0.14.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.14.3
  * Update Standards-Version to 4.6.2 (no changes)
  * Tolerant error message in tests from Go compiler
  * Remove redundant ldflags
    dh-golang will pass dpkg-buildflags as CGO_LDFLAGS
  * Only exclude _test directory.
    Otherwise all *_test.go files are excldued in -dev package, which causes
    autopkgtest-pkg-go doesn't have any tests.
  * Use DH_GOLANG_INSTALL_EXTRA to install extra testdata
  * Remove test results before install

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 19 Jan 2023 20:53:32 +0800

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

export DH_GOLANG_EXCLUDES := example internal/cmd/extract internal/cmd/genop _test$$
export DH_GOLANG_INSTALL_EXTRA := _test/p3

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -ldflags="-X main.version=$(DEB_VERSION_UPSTREAM)"

override_dh_auto_test:
	# The default timeout for tests is 10m, which is not enough for
	# slower or overloaded machines. Let's increase it to one hour.
	dh_auto_test -- -timeout 1h
	$(RM) -r _build/src/github.com/traefik/yaegi/_test/tmp

## golang-github-traefik-yaegi 0.15.1

=== debian/changelog ===
golang-github-traefik-yaegi (0.15.1-2) unstable; urgency=medium

  * Skip cap test for now due to it depending on runtime

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Jul 2023 21:17:23 +0530

golang-github-traefik-yaegi (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
  * Dropped patches, fixed upstream.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Jul 2023 17:35:37 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-golang, golang-any
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-traefik-yaegi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-traefik-yaegi.git
 Homepage: https://github.com/traefik/yaegi

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-traefik-yaegi-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/traefik/yaegi/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-traefik-yaegi 0.16.1

=== Makefile ===
--- 
+++ 
@@ -27,4 +27,15 @@
 install.sh: .goreleaser.yml
 	godownloader --repo=traefik/yaegi -o install.sh .goreleaser.yml
 
-.PHONY: check gen_all_syscall gen_tests generate_downloader internal/cmd/extract/extract install
+generic_list = cmp/cmp.go slices/slices.go slices/sort.go slices/zsortanyfunc.go maps/maps.go \
+			   sync/oncefunc.go sync/atomic/type.go
+
+# get_generic_src imports stdlib files containing generic symbols definitions
+get_generic_src:
+	eval "`go env`"; echo $$GOROOT; gov=$${GOVERSION#*.}; gov=$${gov%.*}; \
+	for f in ${generic_list}; do \
+		nf=stdlib/generic/go1_$${gov}_`echo $$f | tr / _`.txt; echo "nf: $$nf"; \
+		cat "$$GOROOT/src/$$f" > "$$nf"; \
+	done
+
+.PHONY: check gen_all_syscall internal/cmd/extract/extract get_generic_src install

=== debian/changelog ===
golang-github-traefik-yaegi (0.16.1-2) unstable; urgency=medium

  * Team upload
  * Skip inconsistent tests for Go1.23

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 14 Aug 2024 19:30:10 +0800

golang-github-traefik-yaegi (0.16.1-1) unstable; urgency=medium

  * New upstream version 0.16.1 (Closes: #1052085)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 18 Apr 2024 16:00:55 +0530

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 export DH_GOLANG_EXCLUDES := example internal/cmd/extract internal/cmd/genop _test$$
-export DH_GOLANG_INSTALL_EXTRA := _test/p3
+export DH_GOLANG_INSTALL_EXTRA := _test/p3 $(wildcard stdlib/generic/*.txt)
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
